package com.frist008.nixlibrary;

import android.support.annotation.Nullable;

public class NixWhereLoaderContainer {

	@Nullable
	private String select;
	@Nullable
	private String[] args;

	/**
	 * @param select A filter declaring which rows to return, formatted as an SQL WHERE clause
	 *               (excluding the WHERE itself). Passing null will return all rows for the given
	 *               table.
	 * @param args   You may include '?'s in selection, which will be replaced by the values from
	 *               selectionArgs, in order that they appear in the selection. The values will be
	 *               bound as Strings.
	 * @return this container
	 */
	public NixWhereLoaderContainer where(String select, String... args) {
		this.select = select;
		return args(args);
	}

	/**
	 * @param args You may include '?'s in selection, which will be replaced by the values from
	 *             selectionArgs, in order that they appear in the selection. The values will be
	 *             bound as Strings.
	 * @return this container
	 */
	public NixWhereLoaderContainer args(String... args) {
		this.args = args;
		return this;
	}

	@Nullable
	String getSelect() {
		return select;
	}

	@Nullable
	String[] getArgs() {
		return args;
	}
}
